#!/usr/bin/env python
import sys

def build_amc_dependencies():

    sys.path.insert(0, '/opt/amc/server/setups/greenlet/')
    sys.path.insert(0, '/opt/amc/server/setups/setproctitle/')
    sys.path.insert(0, '/opt/amc/server/setups/pycrypto/')

    import greenlet_generator
    import setproctitle_generator
    import pycrypto_generator

    if greenlet_generator.generate_greenlet() and setproctitle_generator.generate_setproctitle() and pycrypto_generator.generate_pycrypto():
        return "True"
    return "False"

